Index: src/Actions/AnalysisAction/MolecularVolumeAction.cpp
===================================================================
--- src/Actions/AnalysisAction/MolecularVolumeAction.cpp	(revision e5c0a1f2c378f5ba38776b0cbdd720632338e25c)
+++ src/Actions/AnalysisAction/MolecularVolumeAction.cpp	(revision e5883128c9b538e00e0039add7baf84f55d413c4)
@@ -14,6 +14,6 @@
 #include "molecule.hpp"
 #include "linkedcell.hpp"
-#include "log.hpp"
-#include "verbose.hpp"
+#include "Helpers/Log.hpp"
+#include "Helpers/Verbose.hpp"
 #include "World.hpp"
 
@@ -25,5 +25,5 @@
 #include "UIElements/UIFactory.hpp"
 #include "UIElements/Dialog.hpp"
-#include "UIElements/ValueStorage.hpp"
+#include "Actions/ValueStorage.hpp"
 
 const char AnalysisMolecularVolumeAction::NAME[] = "molecular-volume";
Index: src/Actions/AnalysisAction/PairCorrelationAction.cpp
===================================================================
--- src/Actions/AnalysisAction/PairCorrelationAction.cpp	(revision e5c0a1f2c378f5ba38776b0cbdd720632338e25c)
+++ src/Actions/AnalysisAction/PairCorrelationAction.cpp	(revision e5883128c9b538e00e0039add7baf84f55d413c4)
@@ -13,10 +13,10 @@
 #include "boundary.hpp"
 #include "linkedcell.hpp"
-#include "verbose.hpp"
-#include "log.hpp"
+#include "Helpers/Verbose.hpp"
+#include "Helpers/Log.hpp"
 #include "element.hpp"
 #include "molecule.hpp"
 #include "periodentafel.hpp"
-#include "vector.hpp"
+#include "LinearAlgebra/Vector.hpp"
 #include "World.hpp"
 
@@ -28,5 +28,5 @@
 #include "UIElements/UIFactory.hpp"
 #include "UIElements/Dialog.hpp"
-#include "UIElements/ValueStorage.hpp"
+#include "Actions/ValueStorage.hpp"
 
 const char AnalysisPairCorrelationAction::NAME[] = "pair-correlation";
Index: src/Actions/AnalysisAction/PointCorrelationAction.cpp
===================================================================
--- src/Actions/AnalysisAction/PointCorrelationAction.cpp	(revision e5c0a1f2c378f5ba38776b0cbdd720632338e25c)
+++ src/Actions/AnalysisAction/PointCorrelationAction.cpp	(revision e5883128c9b538e00e0039add7baf84f55d413c4)
@@ -13,10 +13,10 @@
 #include "boundary.hpp"
 #include "linkedcell.hpp"
-#include "verbose.hpp"
-#include "log.hpp"
+#include "Helpers/Verbose.hpp"
+#include "Helpers/Log.hpp"
 #include "element.hpp"
 #include "molecule.hpp"
 #include "periodentafel.hpp"
-#include "vector.hpp"
+#include "LinearAlgebra/Vector.hpp"
 #include "World.hpp"
 
@@ -28,5 +28,5 @@
 #include "UIElements/UIFactory.hpp"
 #include "UIElements/Dialog.hpp"
-#include "UIElements/ValueStorage.hpp"
+#include "Actions/ValueStorage.hpp"
 
 const char AnalysisPointCorrelationAction::NAME[] = "point-correlation";
Index: src/Actions/AnalysisAction/PointCorrelationAction.hpp
===================================================================
--- src/Actions/AnalysisAction/PointCorrelationAction.hpp	(revision e5c0a1f2c378f5ba38776b0cbdd720632338e25c)
+++ src/Actions/AnalysisAction/PointCorrelationAction.hpp	(revision e5883128c9b538e00e0039add7baf84f55d413c4)
@@ -10,5 +10,7 @@
 
 #include "Actions/Action.hpp"
-#include "vector.hpp"
+#include "LinearAlgebra/Vector.hpp"
+#include <vector>
+#include <string>
 
 class element;
Index: src/Actions/AnalysisAction/PrincipalAxisSystemAction.cpp
===================================================================
--- src/Actions/AnalysisAction/PrincipalAxisSystemAction.cpp	(revision e5c0a1f2c378f5ba38776b0cbdd720632338e25c)
+++ src/Actions/AnalysisAction/PrincipalAxisSystemAction.cpp	(revision e5883128c9b538e00e0039add7baf84f55d413c4)
@@ -11,6 +11,6 @@
 #include "Actions/ActionRegistry.hpp"
 #include "molecule.hpp"
-#include "log.hpp"
-#include "verbose.hpp"
+#include "Helpers/Log.hpp"
+#include "Helpers/Verbose.hpp"
 
 #include <iostream>
@@ -21,5 +21,5 @@
 #include "UIElements/UIFactory.hpp"
 #include "UIElements/Dialog.hpp"
-#include "UIElements/ValueStorage.hpp"
+#include "Actions/ValueStorage.hpp"
 
 const char AnalysisPrincipalAxisSystemAction::NAME[] = "principal-axis-system";
Index: src/Actions/AnalysisAction/SurfaceCorrelationAction.cpp
===================================================================
--- src/Actions/AnalysisAction/SurfaceCorrelationAction.cpp	(revision e5c0a1f2c378f5ba38776b0cbdd720632338e25c)
+++ src/Actions/AnalysisAction/SurfaceCorrelationAction.cpp	(revision e5883128c9b538e00e0039add7baf84f55d413c4)
@@ -13,10 +13,10 @@
 #include "boundary.hpp"
 #include "linkedcell.hpp"
-#include "verbose.hpp"
-#include "log.hpp"
+#include "Helpers/Verbose.hpp"
+#include "Helpers/Log.hpp"
 #include "element.hpp"
 #include "molecule.hpp"
 #include "periodentafel.hpp"
-#include "vector.hpp"
+#include "LinearAlgebra/Vector.hpp"
 #include "World.hpp"
 
@@ -28,5 +28,5 @@
 #include "UIElements/UIFactory.hpp"
 #include "UIElements/Dialog.hpp"
-#include "UIElements/ValueStorage.hpp"
+#include "Actions/ValueStorage.hpp"
 
 const char AnalysisSurfaceCorrelationAction::NAME[] = "surface-correlation";
